Subject: Ispell in pico

From: John Campbell <[email-masked]>
Date: Mon, 1 Aug 1994 22:24:20 -0700 (MST)

Hello.

I'm a recent pine convert and I'm setting pine up for students to
use here at our campus on a unix machine.  To my surprise, I find
that pine and pico were already running on our VMS machine as part
of the PMDF suite of mail programs.  This was an added bonus.

When running pine on VMS, I found the PMDF people had incorporated 
DECspell into pico.  This is a good idea as DECspell is a very good spell 
checker.  I'd like to incorporate ispell into the unix version--it's not 
quite as good, but it does prompt for user input.

I looked at the spell.c code and realize it is possible, but I'll have
to learn how to trash the current edit buffer and replace it with the
temp file.  Not impossible, but I was wondering if someone had done it
already.  (I grabbed the only VMS source code I could find, but it doesn't
give a hint on doing this.)

By the way, my motivation is my dyslexic son who really needs a prompting
speller.  In his case, it's not a matter of simple typos--if he misspelled
a word once he'll likely have no idea how to spell it the second time 
either.  Hence something like DECspell or ispell, which prompts and corrects
the whole document, is critical.

	John Campbell               [email-masked]
        [email-masked]      [email-masked]